% File src/library/base/man/Constants.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{Constants}
\alias{Constants}
\alias{LETTERS}
\alias{letters}
\alias{month.abb}
\alias{month.name}
\alias{pi}
\title{Built-in Constants}
\description{
  \R に組み込まれている定数．
}
\usage{
LETTERS
letters
month.abb
month.name
pi
}
\details{
  \R は少数の組み込み定数を持つ．

  以下の定数が使用可能である：
  \itemize{
    \item \code{LETTERS}: 26の大文字ローマンアルファベット；
    \item \code{letters}: 26の小文字ローマンアルファベット；
    \item \code{month.abb}: 英語月名の3文字省略形；
    \item \code{month.name}: 英語月名；
    \item \code{pi}: 円周率．
  }

  これらは対応する値を持つ変数として基本名前空間に移植されている．
}
\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{data}}, \code{\link{DateTimeClasses}}.

  文字定数の構文解析については \code{\link{Quotes}}，
  数値定数については \code{\link{NumericConstants}}．
}
\examples{% 初期のバージョンの R では1705，しかし大多数の参照では1706．
## John Machin (ca 1706) は pi - 4*(4*atan(1/5) - atan(1/239)) の
## 第二項のテイラー展開を使い pi を小数点以下100桁以上計算した

## ユーザの現在のロケールでの月名
format(ISOdate(2000, 1:12, 1), "\%B")
format(ISOdate(2000, 1:12, 1), "\%b")
}
\keyword{sysdata}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Constants.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Constants}
%\alias{Constants}
%\alias{LETTERS}
%\alias{letters}
%\alias{month.abb}
%\alias{month.name}
%\alias{pi}
%\title{Built-in Constants}
%\description{
%  Constants built into \R.
%}
%\usage{
%LETTERS
%letters
%month.abb
%month.name
%pi
%}
%\details{
%  \R has a small number of built-in constants.
%
%  The following constants are available:
%  \itemize{
%    \item \code{LETTERS}: the 26 upper-case letters of the Roman
%    alphabet;
%    \item \code{letters}: the 26 lower-case letters of the Roman
%    alphabet;
%    \item \code{month.abb}: the three-letter abbreviations for the
%    English month names;
%    \item \code{month.name}: the English names for the months of the
%    year;
%    \item \code{pi}: the ratio of the circumference of a circle to its
%    diameter.
%  }
%
%  These are implemented as variables in the base namespace taking
%  appropriate values.
%}
%\references{
%  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
%  \emph{The New S Language}.
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{data}}, \code{\link{DateTimeClasses}}.
%
%  \code{\link{Quotes}} for the parsing of character constants,
%  \code{\link{NumericConstants}} for numeric constants.
%}
%\examples{% earlier R versions said 1705, but most refs say 1706.
%## John Machin (ca 1706) computed pi to over 100 decimal places
%## using the Taylor series expansion of the second term of
%pi - 4*(4*atan(1/5) - atan(1/239))
%
%## months in English
%month.name
%## months in your current locale
%format(ISOdate(2000, 1:12, 1), "\%B")
%format(ISOdate(2000, 1:12, 1), "\%b")
%}
%\keyword{sysdata}
%
\encoding{UTF8}
