% File src/library/base/man/NULL.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Distributed under GPL 2 or later

\name{NULL}
\title{The Null Object}
\usage{
NULL
as.null(x, \dots)
is.null(x)
}
\alias{NULL}
\alias{as.null}
\alias{as.null.default}
\alias{is.null}
\description{
  \code{NULL} は \R のヌルオブジェクトを表す．
これは予約語である．
\code{NULL} はしばしば値が決まらない表現式や関数から返される．

  \code{as.null} はその引数を無視し値 \code{NULL} を返す．

  \code{is.null} は，もしその引数が \code{NULL} ならば \code{TRUE}を，
さもなければ \code{FALSE} を返す．
}
\arguments{
  \item{x}{検査もしくは強制変換されるオブジェクト．}
  \item{\dots}{無視される．}
}
\details{
  \code{NULL} は任意の構文的に正しい方法で添字操作が出来る(\link{Extract} を見よ)．
意味があろうとなかろうと，結果は常に \code{NULL} である．
値 \code{NULL} を持つオブジェクトは置き換え演算子で変更
でき，右辺の型に強制変換される．

  \code{NULL} はまた空の対リストとして使われる．
}
\note{
  \code{is.null} はプリミティブな関数である．
}
\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\examples{
is.null(list())     # FALSE (意図的に!)
is.null(integer(0)) # FALSE
is.null(logical(0)) # FALSE
as.null(list(a = 1, b = "c"))
}
\keyword{attribute}
\keyword{manip}
\keyword{list}
\keyword{sysdata}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/NULL.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Distributed under GPL 2 or later
%
%\name{NULL}
%\title{The Null Object}
%\usage{
%NULL
%as.null(x, \dots)
%is.null(x)
%}
%\alias{NULL}
%\alias{as.null}
%\alias{as.null.default}
%\alias{is.null}
%\description{
%  \code{NULL} represents the null object in \R: it is a \link{reserved}
%  word.  \code{NULL} is often returned by expressions and functions
%  whose value is undefined.
%
%  \code{as.null} ignores its argument and returns the value \code{NULL}.
%
%  \code{is.null} returns \code{TRUE} if its argument
%  is \code{NULL} and \code{FALSE} otherwise.
%}
%\arguments{
%  \item{x}{an object to be tested or coerced.}
%  \item{\dots}{ignored.}
%}
%\details{
%  \code{NULL} can be indexed (see \link{Extract}) in just about any
%  syntactically legal way: whether is makes sense or not, the result is
%  always \code{NULL}.  Objects with value \code{NULL} can be changed by
%  replacement operators and will be coerced to the type of the
%  right-hand side.
%
%  \code{NULL} is also used as the empty \link{pairlist}.
%}
%\note{
%  \code{is.null} is a \link{primitive} function.
%}
%\references{
%  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
%  \emph{The New S Language}.
%  Wadsworth & Brooks/Cole.
%}
%\examples{
%is.null(list())     # FALSE (on purpose!)
%is.null(integer(0)) # FALSE
%is.null(logical(0)) # FALSE
%as.null(list(a = 1, b = "c"))
%}
%\keyword{attribute}
%\keyword{manip}
%\keyword{list}
%\keyword{sysdata}
%
\encoding{UTF8}
