% File src/library/base/man/unname.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{unname}
\alias{unname}
\title{Remove \code{names} or \code{dimnames}}
\description{
  \R オブジェクトの名前か次元名属性を取り除く．
}
\usage{
unname(obj, force = FALSE)
}
\arguments{
 \item{obj}{\R オブジェクト．}
 \item{force}{論理値；もし真なら \code{dimnames} (名前と行名) が
   データフレームからさえ取り除かれる．}
}
\value{
  \code{obj} と同じオブジェクトであるが名前や次元名が無い．
}
\examples{
require(graphics); require(stats)

## R-help (14 Oct 1999) の質問への回答:
col3 <- 750+ 100*rt(1500, df = 3)
breaks <- factor(cut(col3, breaks = 360+5*(0:155)))
z <- table(breaks)
z[1:5] # 名前がデータよりも大きい ...
barplot(unname(z), axes = FALSE)
}
\keyword{utilities}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/unname.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{unname}
%\alias{unname}
%\title{Remove \code{names} or \code{dimnames}}
%\description{
%  Remove the \code{\link{names}} or \code{\link{dimnames}} attribute of
%  an \R object.
%}
%\usage{
%unname(obj, force = FALSE)
%}
%\arguments{
% \item{obj}{an \R object.}
% \item{force}{logical; if true, the \code{dimnames} (names and row
%   names) are removed even from \code{\link{data.frame}}s.}
%}
%\value{
%  Object as \code{obj} but without \code{\link{names}} or
%  \code{\link{dimnames}}.
%}
%\examples{
%require(graphics); require(stats)
%
%## Answering a question on R-help (14 Oct 1999):
%col3 <- 750+ 100*rt(1500, df = 3)
%breaks <- factor(cut(col3, breaks = 360+5*(0:155)))
%z <- table(breaks)
%z[1:5] # The names are larger than the data ...
%barplot(unname(z), axes = FALSE)
%}
%\keyword{utilities}
%