% File src/library/parallel/man/splitIndices.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2003-2014 R Core Team
% Distributed under GPL 2 or later

\name{splitIndices}
\alias{splitIndices}

\title{Divide Tasks for Distribution in a Cluster}
\description{
  これは一つのクラスター中のノードに作業を割り当てるために，
  \code{1:nx} をほぼ等しい長さ \code{ncl} のリストに
  分割する．
  
  これは主に内部的使用であるが，ある種のパッケージの
  作者はそれが役に立つことを見出してきた．}
  
\usage{
splitIndices(nx, ncl)
}
\arguments{
  \item{nx}{作業の数．}
  \item{ncl}{クラスターノードの数．}
}
\value{
  長さ \code{ncl} のリストで，
  各要素は整数ベクトル．
}
\examples{
splitIndices(20, 3)
}
\keyword{ utility }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/parallel/man/splitIndices.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2003-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{splitIndices}
%\alias{splitIndices}
%
%\title{Divide Tasks for Distribution in a Cluster}
%\description{
%  This divides up \code{1:nx} into \code{ncl} lists of approximately
%  equal size, as a way to allocate tasks to nodes in a cluster.
%
%  It is mainly for internal use, but some package authors have found it useful.
%}
%\usage{
%splitIndices(nx, ncl)
%}
%\arguments{
%  \item{nx}{Number of tasks.}
%  \item{ncl}{Number of cluster nodes.}
%}
%\value{
%  A list of length \code{ncl}, each element being an integer vector.
%}
%\examples{
%splitIndices(20, 3)
%}
%\keyword{ utility }
%
%\encoding{UTF-8}
%